
// Rect:  Rectangle that may be drawn filled

import java.awt.*;

public class Rect extends Shape
{
   private int height, width;
   private boolean filled;
   
   public Rect( int x, int y, int h, int w )
   {
	  super( x, y );
	  height = h;
	  width = w;
	  filled = false;
   }
   
   public void act()
   {
	   filled = !filled;
   }

   public void draw( Graphics g )
   {
	  if ( filled )
	  {
		 g.setColor( Color.yellow );
         g.fillRect( xpos, ypos, width, height ); 
		 g.setColor( Color.black );
	  }
	  else
	  {
         g.drawRect( xpos, ypos, width, height );
	  }
   }
}
